# 請求 支払い完了（銀行振込（指定口座））

`PUT /v1/billings/{id}/capture/payee_account`

- operationId: `captureBillingPayeeAccount`
- tags: 請求管理

指定したIDを持つ発行済みの請求情報を、銀行振込（指定口座）による入金で支払い完了として確定します。\
事前に[請求 入金登録（銀行振込（指定口座））API](#operation/amountRegisterBillingPayeeAccount) によって入金登録されていない場合は、請求金額で支払い完了となります。


## コードサンプル

### cURL

```bash
curl \
    -X PUT \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Content-Type: application/json" \
    -d '{
    "payment_method_id": "pm_xxxxxxxxxxxxxxxxxxxxxx",
    "transaction_date": "2026/05/01"
}' \
    'https://api.test.fincode.jp/v1/billings/{id}/capture/payee_account'
```

### Node.js

```javascript
import fetch from "node-fetch";

const BASE_URL = "https://api.test.fincode.jp";
const API_KEY = "<Secret API Key>";

(async () => {
    const billingID = "<Billing ID>";
    const endpoint = `${BASE_URL}/v1/billings/${billingID}/capture/payee_account`;

    const response = await fetch(endpoint, {
        method: "PUT",
        headers: {
            Authorization: `Bearer ${API_KEY}`,
            "Content-Type": "application/json",
        },
        body: JSON.stringify({
            payment_method_id: "pm_xxxxxxxxxxxxxxxxxxxxxx",
            transaction_date: "2026/05/01",
        }),
    });

    if (!response.ok) {
        console.error(`Error: ${response.statusText}`);
        return;
    }

    const data = await response.json();
    console.log(data);
})();
```

### Go

```go
package main

import (
	"bytes"
	"fmt"
	"io"
	"log"
	"net/http"
)

func main() {
	apiKey := "<Secret API Key>"
	billingID := "<Billing ID>"

	url := fmt.Sprintf("https://api.test.fincode.jp/v1/billings/%s/capture/payee_account", billingID)

	reqBody := bytes.NewBufferString(`{
		"payment_method_id": "pm_xxxxxxxxxxxxxxxxxxxxxx",
		"transaction_date": "2026/05/01"
	}`)

	req, err := http.NewRequest("PUT", url, reqBody)
	if err != nil {
		log.Fatalf("リクエスト作成エラー: %v", err)
	}
	req.Header.Set("Authorization", "Bearer "+apiKey)
	req.Header.Set("Content-Type", "application/json")

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		log.Fatalf("リクエスト送信エラー: %v", err)
	}
	defer resp.Body.Close()

	respBody, _ := io.ReadAll(resp.Body)
	fmt.Println(string(respBody))
}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';
$billingID = "<Billing ID>";
$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/billings/{$billingID}/capture/payee_account";
$headers = [
    "Authorization: Bearer " . $apiKey,
    "Content-Type: application/json"
];

$data = json_encode([
    "payment_method_id" => "pm_xxxxxxxxxxxxxxxxxxxxxx",
    "transaction_date" => "2026/05/01"
]);

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_CUSTOMREQUEST, "PUT");
curl_setopt($session, CURLOPT_POSTFIELDS, $data);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($session);
if ($response === false) {
    echo "cURL Error: " . curl_error($session);
} else {
    var_dump($response);
}
curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'
billing_id = '<Billing ID>'
url = f'https://api.test.fincode.jp/v1/billings/{billing_id}/capture/payee_account'

headers = {
    'Authorization': f'Bearer {api_key}',
    'Content-Type': 'application/json'
}

data = {
    "payment_method_id": "pm_xxxxxxxxxxxxxxxxxxxxxx",
    "transaction_date": "2026/05/01"
}

try:
    response = requests.put(url, headers=headers, json=data)
    if response.status_code == 200:
        print(f"Success: {response.json()}")
    else:
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    print(f"通信エラー: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'
require 'json'

API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
  billing_id = '<Billing ID>'
  endpoint = "/v1/billings/#{billing_id}/capture/payee_account"
  uri = URI.parse(BASE_URL + endpoint)

  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true

  data = {
    payment_method_id: "pm_xxxxxxxxxxxxxxxxxxxxxx",
    transaction_date: "2026/05/01"
  }

  request = Net::HTTP::Put.new(uri.request_uri)
  request['Authorization'] = "Bearer #{API_KEY}"
  request['Content-Type'] = 'application/json'
  request.body = data.to_json

  response = http.request(request)
  puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `id` | path | ✓ | string | 請求ID |
| `Tenant-Shop-Id` | header |  | schema | <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span> |

## リクエストボディ

Content-Type: `application/json`

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `payment_method_id` | string | ✓ | ショップ決済手段ID（入金口座） |
| `transaction_date` | string |  | 取引日 形式：`yyyy/MM/dd` |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `id` | string |  | 請求ID |
| `bill_type` | string |  | 請求方式 |
| `status` | string |  | 請求のステータス |
| `customer_id` | string |  | 顧客（請求先）ID |
| `customer_honorific` | string |  | 顧客（請求先）敬称 |
| `customer` | object |  | 顧客（請求先）情報 |
| `customer_overwrite` | object |  | 上書き顧客（請求先）情報 |
| `issuer` | object |  | 発行元事業者情報 |
| `issuer_overwrite` | object |  | 上書き発行元事業者情報 |
| `issue_date` | string |  | 発行年月日 形式： `yyyy/MM/dd` |
| `is_tax_included` | boolean |  | 内税表記有無 |
| `due_date` | string |  | 支払期日 形式： `yyyy/MM/dd` |
| `memo` | string |  | 備考 |
| `client_field_1` | string |  | 加盟店自由項目1 |
| `client_field_2` | string |  | 加盟店自由項目2 |
| `client_field_3` | string |  | 加盟店自由項目3 |
| `is_uncollectible` | boolean |  | 回収不能フラグ |
| `is_paid_externally` | boolean |  | M's PayBridge外支払フラグ |
| `transaction_date` | string |  | 支払完了日 形式： `yyyy/MM/dd` |
| `total_amount` | string |  | 合計金額 |
| `billing_total_amount` | string |  | 合計請求金額 |
| `pay_types` | array<string> |  | 利用可能な決済種別リスト |
| `input_type` | enum(amount) |  | 取引金額の入力方式 |
| `used_pay_type` | string |  | 利用された決済種別 |
| `invoice` | object |  | インボイスに関する情報 |
| `link_type` | object |  | リダイレクト型決済に関する情報 |
| `draft` | object |  | 下書き情報 |
| `billing_file_import_entry_id` | string |  | 請求インポートファイル読み込みエントリーID |
| `trade_client_field_1` | string |  | 決済情報自由項目 1 |
| `trade_client_field_2` | string |  | 決済情報自由項目 2 |
| `trade_client_field_3` | string |  | 決済情報自由項目 3 |
| `created` | string |  | 作成日時 形式： `yyyy/MM/dd HH:mm:ss.SSS` |
| `updated` | string |  | 更新日時 形式： `yyyy/MM/dd HH:mm:ss.SSS` |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

